onEvent('recipes', event => {

//Frosty Blossom Sapling
  event.shapeless('quark:blue_blossom_sapling', ['powah:dry_ice', 'minecraft:kelp', 'minecraft:kelp', 'minecraft:kelp'])

  //Remove Timber Frame
  event.remove({ output: 'supplementaries:timber_frame' })

  //Oak Sluice
  event.remove({ output: 'ftbsluice:oak_sluice' })
  event.shaped('ftbsluice:oak_sluice', [
  'S  ',
  'LG ',
  'GLL'
  ], {
    L: '#minecraft:logs',
    G: 'appliedenergistics2:wooden_gear',
    S: 'minecraft:stick'
  })

//Chunk Cooking
function clust(output, input) {
        event.smelting(output, input).xp(0.6);
      }


  clust('minecraft:quartz', 'emendatusenigmatica:quartz_chunk')
  clust('appliedenergistics2:certus_quartz_crystal', 'emendatusenigmatica:certus_quartz_chunk')
  clust('appliedenergistics2:charged_certus_quartz_crystal', 'emendatusenigmatica:charged_certus_quartz_chunk')
  clust('mekanism:fluorite_gem', 'emendatusenigmatica:fluorite_chunk')
  clust('emendatusenigmatica:bitumen_gem', 'emendatusenigmatica:bitumen_chunk')
  clust('thermal:cinnabar', 'emendatusenigmatica:cinnabar_chunk')
  clust('thermal:apatite', 'emendatusenigmatica:apatite_chunk')
  clust('emendatusenigmatica:potassium_nitrate_gem', 'emendatusenigmatica:potassium_nitrate_chunk')
  clust('emendatusenigmatica:arcane_gem', 'emendatusenigmatica:arcane_chunk')
  clust('emendatusenigmatica:dimensional_gem', 'emendatusenigmatica:dimensional_chunk')
  clust('emendatusenigmatica:ruby_gem', 'emendatusenigmatica:ruby_chunk')
  clust('emendatusenigmatica:sapphire_gem', 'emendatusenigmatica:sapphire_chunk')
  clust('emendatusenigmatica:peridot_gem', 'emendatusenigmatica:peridot_chunk')


  //Andesite
  event.shaped('minecraft:andesite', [
  '   ',
  'CPC',
  'PCP'
  ], {
    C: 'minecraft:cobblestone',
    P: 'botania:pebble',
  })

  //Cursed Earth
  event.shaped('miniutilities:cursed_earth', [
  'CCC',
  'CPC',
  'CCC'
  ], {
    C: 'minecraft:dirt',
    P: 'wstweaks:fragment',
  })

  //Remove Nether painting
  event.remove({ output: 'dimensional_cake_rebuilt:nether_cake' })

  //Time in a Bottle
  event.remove({ output: 'tiab:timeinabottle' })
  event.custom(
  {
    "type": "naturesaura:offering",
    "input": {
        "item": "kubejs:un_tiab"
    },
    "start_item": {
        "item": "naturesaura:calling_spirit"
    },
    "output": {
        "item": 'tiab:timeinabottle',
        "count": 1
    }
}
)

//Builder
event.remove({ output: 'rftoolsbuilder:builder' })
event.shaped('rftoolsbuilder:builder', [
'LGL',
'LSL',
'RFR'
], {
  L: 'simplyjetpacks:armorplating_te5_enderium',
  G: Item.of('astralsorcery:infused_crystal_pickaxe').ignoreNBT(),
  S: 'xnet:controller',
  R: 'witherproofed:reinforced_alloy',
  F: 'rftoolsbase:machine_frame'
})

//Machine Frame
event.remove({ output: 'rftoolsbase:machine_frame' })
event.shaped('rftoolsbase:machine_frame', [
'LGL',
'GSG',
'LGL'
], {
  L: 'fluxnetworks:flux_core',
  G: 'immersiveengineering:wire_steel',
  S: 'industrialforegoing:machine_frame_simple'
})

//Creative tank emptying
event.shapeless('mekanism:creative_fluid_tank', [Item.of('mekanism:creative_fluid_tank').ignoreNBT()])
event.shapeless('mekanism:creative_chemical_tank', [Item.of('mekanism:creative_chemical_tank').ignoreNBT()])

//Cast iron gear
event.shaped('rftoolsbase:machine_frame', [
'LGL',
'GSG',
'LGL'
], {
  L: 'fluxnetworks:flux_core',
  G: 'immersiveengineering:wire_steel',
  S: 'industrialforegoing:machine_frame_simple'
})

//Coal from tiny coal
event.shapeless('minecraft:coal', ['8x tinycoal:tinycoal'])

//Graphite block coal block removing
//Builder
event.remove({ output: 'bigreactors:graphite_block' })
event.shaped('bigreactors:graphite_block', [
'LLL',
'LLL',
'LLL'
], {
  L: 'bigreactors:graphite_ingot'
})

//Angel ring removing
event.remove({ output: 'miniutilities:angel_ring' })

//Nutritious chicken feed removing
  event.remove({ output: 'mob_grinding_utils:nutritious_chicken_feed' })

//Mob earthes
event.remove({ output: 'miniutilities:cursed_earth' })
event.remove({ output: 'miniutilities:blessed_earth' })
event.remove({ output: 'miniutilities:blursed_earth' })
})
